GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Attributes
grpc::CallOpSetInterface Class Referenceabstract

An abstract collection of call ops, used to generate the grpc_call_op structure to pass down to the lower layers, and as it is-a CompletionQueueTag, also massages the final completion into the correct form for consumption in the C++ API. More...

`#include <call.h>`

## Public Member Functions
| CallOpSetInterface ()
virtual void | FillOps (grpc_op *ops, size_t *nops)=0
| Fills in grpc_op, starting from ops[*nops] and moving upwards. More...
void | set_max_message_size (int max_message_size)
Public Member Functions inherited from grpc::CompletionQueueTag
virtual | ~CompletionQueueTag ()
virtual bool | FinalizeResult (void **tag, bool *status)=0

## Protected Attributes
int | max_message_size_

## Detailed Description

An abstract collection of call ops, used to generate the grpc_call_op structure to pass down to the lower layers, and as it is-a CompletionQueueTag, also massages the final completion into the correct form for consumption in the C++ API.

## Constructor & Destructor Documentation

grpc::CallOpSetInterface::CallOpSetInterface | ( |  | ) |
| inline

## Member Function Documentation

virtual void grpc::CallOpSetInterface::FillOps | ( | grpc_op * | ops,
|  | size_t * | nops
| ) |  |
| pure virtual

Fills in grpc_op, starting from ops[*nops] and moving upwards.

Implemented in grpc::CallOpSet< Op1, Op2, Op3, Op4, Op5, Op6 >, grpc::CallOpSet< grpc::CallOpGenericRecvMessage, grpc::CallOpClientRecvStatus >, grpc::CallOpSet< grpc::CallOpSendInitialMetadata, grpc::CallOpSendMessage >, grpc::CallOpSet< grpc::CallOpSendInitialMetadata >, grpc::CallOpSet< grpc::CallOpRecvInitialMetadata, grpc::CallOpRecvMessage< R >, grpc::CallOpClientRecvStatus >, grpc::CallOpSet< grpc::CallOpClientSendClose >, grpc::CallOpSet< grpc::CallOpSendInitialMetadata, grpc::CallOpSendMessage, grpc::CallOpServerSendStatus >, grpc::CallOpSet< grpc::CallOpSendInitialMetadata, grpc::CallOpServerSendStatus >, grpc::CallOpSet< grpc::CallOpSendMessage >, grpc::CallOpSet< grpc::CallOpRecvInitialMetadata >, grpc::CallOpSet< grpc::CallOpSendInitialMetadata, grpc::CallOpSendMessage, grpc::CallOpClientSendClose, CallNoOp< 4 >, CallNoOp< 5 >, CallNoOp< 6 > >, grpc::CallOpSet< grpc::CallOpRecvInitialMetadata, grpc::CallOpClientRecvStatus >, grpc::CallOpSet< grpc::CallOpRecvMessage< R > >, grpc::CallOpSet< grpc::CallOpRecvInitialMetadata, grpc::CallOpGenericRecvMessage, grpc::CallOpClientRecvStatus >, grpc::CallOpSet< grpc::CallOpSendInitialMetadata, grpc::CallOpSendMessage, grpc::CallOpClientSendClose >, grpc::CallOpSet< grpc::CallOpRecvInitialMetadata, grpc::CallOpRecvMessage< R > >, and grpc::ServerContext::CompletionOp.

void grpc::CallOpSetInterface::set_max_message_size | ( | int | max_message_size | ) |
| inline

## Field Documentation

int grpc::CallOpSetInterface::max_message_size_
| protected

The documentation for this class was generated from the following file:

- include/grpc++/impl/call.h